Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class I3DXML

    java.lang.Object
      igeo.io.I3DXML

    public class I3DXML

extends java.lang.Object

3DXML file

Author:
  Satoru Sugihara

Nested Class Summary
`static class` | `I3DXML.BagRepType`
`static class` | `I3DXML.ColorBufferType`
`static class` | `I3DXML.ColorType`
`static class` | `I3DXML.FaceGPType`
`static class` | `I3DXML.FaceSetType`
`static class` | `I3DXML.I3DXMLNode`
`static class` | `I3DXML.Instance3D`
`static class` | `I3DXML.InstanceRep`
`static class` | `I3DXML.LineAttributesType`
`static class` | `I3DXML.MaterialApplicationType`
`static class` | `I3DXML.Matrix4x3`
`static class` | `I3DXML.PointAttributesType`
`static class` | `I3DXML.PolygonalLODType`
`static class` | `I3DXML.PolygonalRepType`
`static class` | `I3DXML.PolylineGPType`
`static class` | `I3DXML.PolylineSetType`
`static class` | `I3DXML.Reference3D`
`static class` | `I3DXML.ReferenceRep`
`static class` | `I3DXML.RepresentationDocument`
`static class` | `I3DXML.SurfaceAttributesType`
`static class` | `I3DXML.TextureCoordinatesBufferType`
`static class` | `I3DXML.VertexBufferType`
`static class` | `I3DXML.VisualizationRepType`
`static class` | `I3DXML.XMLRepresentationDocument`

Field Summary
`java.util.ArrayList<java.lang.String>` | `fileList` filenames iside a zip archive
`java.lang.String` | `filename` 3DXML file (which is actually a zip archive)
`java.util.ArrayList<I3DXML.InstanceRep>` | `instanceReps`
`java.util.ArrayList<I3DXML.Instance3D>` | `instances`
`(package private) static java.lang.String` | `materialReferenceFile`
`java.util.ArrayList<I3DXML.ReferenceRep>` | `referenceReps`
`java.util.ArrayList<I3DXML.Reference3D>` | `references`
`java.util.ArrayList<I3DXML.RepresentationDocument>` | `representationDocuments` representation files inside a zip archive
`(package private) static java.lang.String` | `representationImageFile`

Constructor Summary
`I3DXML(java.lang.String filename)`

Method Summary
`I3DXML.I3DXMLNode` | `getNode(int id)`
`java.util.ArrayList<IGeometry>` | `instantiate()`
`void` | `linkInstanceReps()`
`void` | `linkInstances()`
`void` | `linkNodes()`
`void` | `linkReferenceReps()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### materialReferenceFile

    static final java.lang.String materialReferenceFile

See Also:
  Constant Field Values

### representationImageFile

    static final java.lang.String representationImageFile

See Also:
  Constant Field Values

### filename

    public java.lang.String filename

  3DXML file (which is actually a zip archive)

### fileList

    public java.util.ArrayList<java.lang.String> fileList

  filenames iside a zip archive

### references

    public java.util.ArrayList<I3DXML.Reference3D> references

### instances

    public java.util.ArrayList<I3DXML.Instance3D> instances

### referenceReps

    public java.util.ArrayList<I3DXML.ReferenceRep> referenceReps

### instanceReps

    public java.util.ArrayList<I3DXML.InstanceRep> instanceReps

### representationDocuments

    public java.util.ArrayList<I3DXML.RepresentationDocument> representationDocuments

  representation files inside a zip archive

Constructor Detail

### I3DXML

    public I3DXML(java.lang.String filename)

Method Detail

### linkReferenceReps

    public void linkReferenceReps()

### linkInstances

    public void linkInstances()

### linkInstanceReps

    public void linkInstanceReps()

### linkNodes

    public void linkNodes()

### instantiate

    public java.util.ArrayList<IGeometry> instantiate()

### getNode

    public I3DXML.I3DXMLNode getNode(int id)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD